Get discount curves
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"market_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": [
"currencies",
"currencies"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload = {
"market_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"],
"currencies": ["currencies", "currencies"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
market_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00'],
currencies: ['currencies', 'currencies']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'market_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
],
'currencies' => [
'currencies',
'currencies'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload := strings.NewReader("{\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"currencies\": [\n \"currencies\",\n \"currencies\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"currencies\": [\n \"currencies\",\n \"currencies\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"currencies\": [\n \"currencies\",\n \"currencies\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"discount_curves": [
{
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
{
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
}
]
}Get discount curves
POST
/
api
/
MarketData
/
GetDiscountCurves
Get discount curves
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"market_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": [
"currencies",
"currencies"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload = {
"market_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"],
"currencies": ["currencies", "currencies"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
market_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00'],
currencies: ['currencies', 'currencies']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'market_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
],
'currencies' => [
'currencies',
'currencies'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves"
payload := strings.NewReader("{\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"currencies\": [\n \"currencies\",\n \"currencies\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"currencies\": [\n \"currencies\",\n \"currencies\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetDiscountCurves")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ],\n \"currencies\": [\n \"currencies\",\n \"currencies\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"discount_curves": [
{
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
{
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Was this page helpful?